Follow

How to fix the Update Failed error message when updating Postbox

If you are unable to update Postbox and see the message "Update Failed", security software may be blocking Postbox from connecting to the update server.

Disable other programs from blocking port 443

The Postbox updater uses port 443.
Check if your firewall (or other security software) is blocking post 443, and set it to allow Postbox to use port 443.

Update manually

If you cannot use port 443, download the newest version of Postbox, and install it over top your current version.

  1. Exit Postbox, so that is not running.
  2. Visit our downloads page, then download Postbox and install it over your old version.